/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Die Feb 29 13:27:43 MET 2000
    copyright            : (C) 2000 by Michael Speck
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif

#include <stdlib.h>
#include "game.h"
#include "sndsrv.h"
#include <string.h>

char    *src_dir;
char	datapath[2048];
char    *home_dir;
int     fast_quit = 0;

int main(int argc, char *argv[])
{
	int i;
	for (i=strlen(argv[0]) ; argv[0][i]!='/' ; i--);
 	strncpy(datapath, argv[0], i);  
	src_dir=datapath;
 	strcat(datapath,"/data/");

    // version //
    printf("LBreakout %s\nCopyright 2000 Michael Speck\n", VERSION);
    printf("Enjoy the game!\n-----\n");

//    home_dir = getenv("HOME");
	home_dir=datapath;
#ifdef SOUND
    SndSrv_Init(16);
#endif
	Game *game = new Game();
	game->Run();
	delete game;
#ifdef SOUND
	SndSrv_Quit();
#endif
	return 0;
}
