%define	name	lbreakout
%define	version	001022
%define	release 1
%define	prefix  %{_prefix}

Summary:	Breakout-like game for linux
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Amusements/Games
URL:		http://lgames.sourceforge.net/
Source:		%{name}-%{version}.tar.gz
Distribution:	Local builds
Packager:	Michael Speck <kulkanie@gmx.net>
BuildRoot:	/tmp/%{name}-%{version}

%description
LBreakout is a classical Breakout game and this means (if you like
Breakout ;-) it is a lot of fun to play!
LBreakout provides a manual containing information about the menu, how
to play and how to create own levels.

%prep
%setup -q

%build
%configure
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install-strip

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_prefix}/bin/*
%{_prefix}/share/games/*
/var/lib/games/*
