/***************************************************************************
                          level.h  -  description
                             -------------------
    begin                : Sat Apr 22 2000
    copyright            : (C) 2000 by Michael Speck
    email                : kulkanie@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LEVEL_H
#define LEVEL_H

#define LEVEL_NUM   25
struct Level {
    char author[32], name[32];
    float v; /* v0 per ms */
    float v_pms; /* change per ms */
    float vm; /* max v */
    int w, h; /* format of map */
    char *map; /* map data */
    char *extras; /* map of hidden extras */
};

#endif
